Ast_helper(3)

NAME
Ast_helper - Helpers to produce Parsetree fragments

Module
Module Ast_helper

Documentation

Module Ast_helper
 : sig end

Helpers to produce Parsetree fragments

Warning This module is unstable and part of Compiler_libs .

type 'a with_loc = 'a Location.loc

type loc = Location.t

type lid = Longident.t with_loc

type str = string with_loc

type str_opt = string option with_loc

type attrs = Parsetree.attribute list

  Default locations

val default_loc : loc ref

Default value for all optional location arguments.

val with_default_loc : loc -> (unit -> 'a) -> 'a

Set the default_loc within the scope of the execution of the provided function.

  Constants

module Const : sig end

module Attr : sig end

  Attributes

  Core language

module Typ : sig end

Type expressions

module Pat : sig end

Patterns

module Exp : sig end

Expressions

module Val : sig end

Value declarations

module Type : sig end

Type declarations

module Te : sig end

Type extensions

  Module language

module Mty : sig end

Module type expressions

module Mod : sig end

Module expressions

module Sig : sig end

Signature items

module Str : sig end

Structure items

module Md : sig end

Module declarations

module Ms : sig end

Module substitutions

module Mtd : sig end

Module type declarations

module Mb : sig end

Module bindings

module Opn : sig end

Opens

module Incl : sig end

Includes

module Vb : sig end

Value bindings

  Class language

module Cty : sig end

Class type expressions

module Ctf : sig end

Class type fields

module Cl : sig end

Class expressions

module Cf : sig end

Class fields

module Ci : sig end

Classes

module Csig : sig end

Class signatures

module Cstr : sig end

Class structures

module Rf : sig end

Row fields

module Of : sig end

Object fields